VelocityLayer (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: VelocityLayer

Package edu.sc.seis.TauP

# Class VelocityLayer

java.lang.Object
edu.sc.seis.TauP.VelocityLayer

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class VelocityLayer
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

The VelocityModelLayer class stores and manipulates a singly layer. An entire velocity model is implemented as an Vector of layers.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity)` |
  `VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity, double topDensity, double bottomDensity)` |
  `VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity, double topDensity, double botDensity, double topQp, double botQp, double topQs, double botQs)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `VelocityLayer` | `cloneRenumber​(int layerNum)` |
  `double` | `evaluateAt​(double depth, char materialProperty)` |
  `double` | `evaluateAtBottom​(char materialProperty)` |
  `double` | `evaluateAtTop​(char materialProperty)` |
  `double` | `getBotDensity()` |
  `double` | `getBotDepth()` |
  `double` | `getBotPVelocity()` |
  `double` | `getBotQp()` |
  `double` | `getBotQs()` |
  `double` | `getBotSVelocity()` |
  `int` | `getLayerNum()` |
  `double` | `getThickness()` |
  `double` | `getTopDensity()` |
  `double` | `getTopDepth()` |
  `double` | `getTopPVelocity()` |
  `double` | `getTopQp()` |
  `double` | `getTopQs()` |
  `double` | `getTopSVelocity()` |
  `void` | `setBotDensity​(double botDensity)` |
  `void` | `setBotDepth​(double botDepth)` |
  `void` | `setBotPVelocity​(double botPVelocity)` |
  `void` | `setBotQp​(double botQp)` |
  `void` | `setBotQs​(double botQs)` |
  `void` | `setBotSVelocity​(double botSVelocity)` |
  `void` | `setTopDensity​(double topDensity)` |
  `void` | `setTopDepth​(double topDepth)` |
  `void` | `setTopPVelocity​(double topPVelocity)` |
  `void` | `setTopQp​(double topQp)` |
  `void` | `setTopQs​(double topQs)` |
  `void` | `setTopSVelocity​(double topSVelocity)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VelocityLayer

    public VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity)

  - ### VelocityLayer

    public VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity, double topDensity, double bottomDensity)

  - ### VelocityLayer

    public VelocityLayer​(int myLayerNumber, double topDepth, double botDepth, double topPVelocity, double botPVelocity, double topSVelocity, double botSVelocity, double topDensity, double botDensity, double topQp, double botQp, double topQs, double botQs)

- ## Method Details

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### cloneRenumber

    public VelocityLayer cloneRenumber​(int layerNum)

  - ### evaluateAtBottom

    public double evaluateAtBottom​(char materialProperty) throws NoSuchMatPropException
    Throws:
      `NoSuchMatPropException`

  - ### evaluateAtTop

    public double evaluateAtTop​(char materialProperty) throws NoSuchMatPropException
    Throws:
      `NoSuchMatPropException`

  - ### evaluateAt

    public double evaluateAt​(double depth, char materialProperty) throws NoSuchMatPropException
    Throws:
      `NoSuchMatPropException`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getLayerNum

    public int getLayerNum()

  - ### setTopDepth

    public void setTopDepth​(double topDepth)

  - ### getTopDepth

    public double getTopDepth()

  - ### setBotDepth

    public void setBotDepth​(double botDepth)

  - ### getBotDepth

    public double getBotDepth()

  - ### setTopPVelocity

    public void setTopPVelocity​(double topPVelocity)

  - ### getTopPVelocity

    public double getTopPVelocity()

  - ### setBotPVelocity

    public void setBotPVelocity​(double botPVelocity)

  - ### getBotPVelocity

    public double getBotPVelocity()

  - ### setTopSVelocity

    public void setTopSVelocity​(double topSVelocity)

  - ### getTopSVelocity

    public double getTopSVelocity()

  - ### setBotSVelocity

    public void setBotSVelocity​(double botSVelocity)

  - ### getBotSVelocity

    public double getBotSVelocity()

  - ### setTopDensity

    public void setTopDensity​(double topDensity)

  - ### getTopDensity

    public double getTopDensity()

  - ### setBotDensity

    public void setBotDensity​(double botDensity)

  - ### getBotDensity

    public double getBotDensity()

  - ### setTopQp

    public void setTopQp​(double topQp)

  - ### getTopQp

    public double getTopQp()

  - ### setBotQp

    public void setBotQp​(double botQp)

  - ### getBotQp

    public double getBotQp()

  - ### setTopQs

    public void setTopQs​(double topQs)

  - ### getTopQs

    public double getTopQs()

  - ### setBotQs

    public void setBotQs​(double botQs)

  - ### getBotQs

    public double getBotQs()

  - ### getThickness

    public double getThickness()